summaryrefslogtreecommitdiffstats
path: root/source/ap/moc/moc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/moc/moc.SlackBuild')
-rwxr-xr-xsource/ap/moc/moc.SlackBuild15
1 files changed, 12 insertions, 3 deletions
diff --git a/source/ap/moc/moc.SlackBuild b/source/ap/moc/moc.SlackBuild
index 547687838..af49333e7 100755
--- a/source/ap/moc/moc.SlackBuild
+++ b/source/ap/moc/moc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2011, 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2013, 2018, 2019, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=moc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,9 +78,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/moc-ffmpeg4.patch.gz | patch -p0 --verbose || exit 1
+zcat $CWD/0005-avcodec-include.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/0006-uncast-warnings.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/0007-cur-dts.patch.gz | patch -p1 --verbose || exit 1
# Configure:
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \